unit jdxUnit3;
(*
This software is published under the terms of the GNU General Public
License (GPL, see below). For a detailed description of this license,
see http://www.gnu.org/copyleft/gpl.html

  JDXview - a utility program for displaying spectra in JCAMP-DX format.
  Author: Dr. Norbert Haider, University of Vienna, Department of Drug
  Synthesis, Althanstrasse 14, A-1090 Vienna, Austria.

  Inspired by Dr. Robert Lancashire's JCAMP-DX data viewer and its
  reincarnation in the MDL Chime plug-in, JDXview was developed as an
  external "helper application" which can be used in combination with
  web browsers, if they do not have a suitable plug-in installed.
  JDXview displays various kinds of spectra (NMR, IR, MS, etc.) in
  JCAMP-DX format. Supported formats are: uncompressed (AFFN) and
  compressed (ASDF, e.g. DIFDUP) as described in the 4.24 specification.
  Some features of more recent JCAMP-DX versions are also implemented,
  but not all of them.

  Furthermore, JDXview offers also rudimentary processing options: the
  range of a spectrum can be clipped, and the result saved in JCAMP-DX
  format again. Zooming and measuring of distances can be performed by
  two cursors which are placed by pressing the left or right mouse button,
  respectively, followed by a click on the "< >" button.

  Graphics output is supported in the following vector graphics formats:
  HP-GL (Hewlett-Packard Graphics Language)
  SVG (Scalable Vector Graphics)
  EPS (Encapsulated PostScript)

===============================================================================
DISCLAIMER
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
===============================================================================
*)


interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm3 = class(TForm)
    OKbtn: TButton;
    cancelbtn: TButton;
    locliplbl: TLabel;
    Hicliplbl: TLabel;
    loclipedit: TEdit;
    Hiclipedit: TEdit;
    procedure OKbtnClick(Sender: TObject);
    procedure cancelbtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses jdxUnit1;

{$R *.DFM}

procedure TForm3.OKbtnClick(Sender: TObject);
var
  code : integer;
  auxfloat : double;
begin
  auxfloat := loclipval;
  val(loclipedit.text,loclipval,code);
  if code <> 0 then loclipval := auxfloat;
  auxfloat := hiclipval;
  val(hiclipedit.text,hiclipval,code);
  if code <> 0 then hiclipval := auxfloat;
//  close;   // not necessary! instead, set "ModalResult" property of OKbtn to "mrOK"
end;

procedure TForm3.cancelbtnClick(Sender: TObject);
begin
//  close;   // not necessary! instead, set "ModalResult" property of Cancelbtn to "mrCancel"
end;

procedure TForm3.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  okbtn.modalresult := mrOK;
  cancelbtn.modalresult := mrCancel;
end;

end.
